{"title":"Get companyInformation (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_companyinformation_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_companyinformation_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_companyinformation_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets a company information object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get companyInformation (v1.0)","slug":"get-companyinformation-v10","at":0,"chars":1886},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":128,"chars":224},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":352,"chars":79},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":431,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":500,"chars":137},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":637,"chars":994},{"level":2,"title":"Related information","slug":"related-information","at":1631,"chars":255}],"text":"# Get companyInformation (v1.0)\nRetrieve the properties and relationships of a company information object for Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/companyInformation({id})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and a companyInformation object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/companyInformation({id})\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n  \"id\": \"id-value\",\n  \"displayName\": \"CRONUS USA, Inc.\",\n  \"address\": {\n    \"street\": \"7122 South Ashford Street\\r\\nWestminster\",\n    \"city\": \"Atlanta\",\n    \"state\": \"GA\",\n    \"countryLetterCode\": \"US\",\n    \"postalCode\": \"31772\"\n  },\n  \"phoneNumber\": \"+1 425 555 0100\",\n  \"faxNumber\": \"+1 425 555 0101\",\n  \"email\": \"\",\n  \"website\": \"\",\n  \"taxRegistrationNumber\": \"\",\n  \"currencyCode\": \"USD\",\n  \"currentFiscalYearStartDate\": \"2018-01-01\",\n  \"industry\": \"\",\n  \"picture@odata.mediaReadLink\": \"https://api.financials.dynamics.com/v1.0/api/v1.0/companies({id})/companyInformation({id})/picture\",\n  \"lastModifiedDateTime\": \"2017-03-16T14:57:19.497Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_companies\nCompany Information<../resources/dynamics_companyinformation>\nUpdate Company Information<dynamics_companyinformation_update>"}